yhkylin-systembackup-tools (1.0.0.0-ok5) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：增加systemkybackup-hooks可执行权限
  * 其他改动影响域: 无

 -- wangguangxin <wangguangxin@kylinos.cn>  Thu, 05 Dec 2025 17:13:22 +0800

yhkylin-systembackup-tools (1.0.0.0-ok4) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：触发编译
  * 其他改动影响域: 无

 -- wangguangxin <wangguangxin@kylinos.cn>  Thu, 05 Dec 2025 17:13:22 +0800

yhkylin-systembackup-tools (1.0.0.0-ok3) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：v11stable分支合入
  * 其他改动影响域: 无

 -- wangguangxin <wangguangxin@kylinos.cn>  Thu, 16 Oct 2025 17:13:22 +0800

yhkylin-systembackup-tools (1.0.0.0-ok2) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：build for openkylin
  * 其他改动影响域: 无

 -- liweinan <liweinan@kylinos.cn>  Thu, 16 Oct 2025 17:13:22 +0800

yhkylin-systembackup-tools (1.0.0.0-ok1) nile; urgency=medium

  * BUG号：无
  * 需求号：无
  * 其他改动说明：build for openkylin
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Tue, 19 Aug 2025 19:57:08 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.25) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 取消备份
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Tue, 12 Aug 2025 15:10:37 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.24) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 同步后端数据备份更新功能到v11
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Mon, 11 Aug 2025 15:10:54 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.23) v11-2603-preview; urgency=medium
  * BUG: #298481 【在线更新】从grub界面还原系统后，更新设置界面存在回退上一个版本设置项 
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: Grub还原系统，如果是系统升级备份点，需要删除备份点元数据
  * 其他改动影响域: 无
 -- yuchengyong <yuchengyong@kylinos.cn>  Tue, 08 Aug 2025 10:37:32 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.22) v11-2603-preview; urgency=medium
  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 添加备份还原应用中执行出厂还原的功能
  * 其他改动影响域: 无
 -- yuchengyong <yuchengyong@kylinos.cn>  Tue, 07 Aug 2025 10:37:32 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.21) v11-2603-preview; urgency=medium
  * BUG: #360523 【需求46606、46470】【控制面板更新】关机回退过程中，进度到100%时，显示的文案反复切换
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无
 -- yuchengyong <yuchengyong@kylinos.cn>  Tue, 07 Aug 2025 10:37:32 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.20) v11-2603-preview; urgency=medium

  * BUG: #355665 控制面板更新-备份还原不支持空间检测
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Thu, 07 Aug 2025 09:18:05 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.19) v11-2603-preview; urgency=medium

  * BUG: #373513 系统备份前检测剩余空间无效
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Wed, 06 Aug 2025 09:59:53 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.18) v11-2603-preview; urgency=medium

  * BUG: #370835 【v11-beta1-02离线升级v11-beta1-0609】【离线更新】回退上一版本成功后更新界面仍显示回退上一版本项
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Tue, 05 Aug 2025 17:32:36 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.17) v11-2603-preview; urgency=medium

  * BUG: #373509 备份前检测U盘格式
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Tue, 05 Aug 2025 10:37:32 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.16) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 同步ghost镜像制作功能到v11版本
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Fri, 01 Aug 2025 14:22:59 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.15) v11-2603-preview; urgency=medium
  * BUG: 无
  * 需求: 无
  * 其他改动说明:增加还原时产生uuid文件功能
  * 其他改动影响域: 无
 -- wangguangxin <wangguangxin@kylinos.cn>  Wed, 30 Jul 2025 16:54:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.14) v11-2603-preview; urgency=medium
  * BUG: #367523 【冒烟3级】【会话管理器】备份还原阻止电源操作，提示窗口显示的备份还原应用图标不正确
  * 任务号： 无
  * 需求: 无
  * 其他改动说明:修改图标为控制面板图标，因为后期会放到控制面板
  * 其他改动影响域: 无
 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 29 Jul 2025 21:12:50 +0800


yhkylin-systembackup-tools (1.0.0.0-0k2.13) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 系统备份点删除；系统回滚到上一版本逻辑改造
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Sun, 27 Jul 2025 22:43:45 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.12) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 增加文件保护箱清理功能

 -- wangguangxin <wangguangxin@kylinos.cn>  Thu, 24 Jul 2025 09:46:37 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.11) v11-2603-preview; urgency=medium
  * BUG: #364303 【grub】grub界面选择系统还原，还原后kylin用户的文件都变成了桌面 
  * 任务号： 无
  * 需求: 无
  * 其他改动说明:
    修改Grub阶段还原家目录的代码，同时优化系统备份和用户数据备份期间保存用户名
  * 其他改动影响域: 无
 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 23 Jul 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.10) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 同步v101-2503数据备份还原功能到v11
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Wed, 23 Jul 2025 10:11:26 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.9) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 每次备份新建一个分支并保存分支名到xml文件
  * 其他改动影响域: 无 

 -- wangjinguang <wangjinguang@kylinos.cn>  Wed, 16 Jul 2025 10:30:22 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.8) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 修改系统备份
  * 其他改动影响域: 无

 -- wangguangxin <wangguangxin@kylinos.cn>  Tue, 15 Jul 2025 16:26:38 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.7) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 修改系统升级还原与系统升级备份
  * 其他改动影响域: 无

 -- wangguangxin <wangguangxin@kylinos.cn>  Thu, 26 Jun 2025 16:26:38 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.6) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 修改Grub出厂备份生成时备份点的名称大小等信息
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 05 Jun 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.5) v11-2603-preview; urgency=medium

  * BUG: #357509 【66版本】【冒烟1级】【需求46615】【备份还原】系统备份还原后，删除的隐藏文件未还原
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 05 Jun 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.4) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 修改出厂备份目录，处理安全模块弹窗
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 30 May 2025 21:12:50 +0800


yhkylin-systembackup-tools (1.0.0.0-0k2.3) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 优化Grub出厂备份、出厂还原、系统还原脚本  |  备份点元数据添加user
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 26 May 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.2) v11-2603-preview; urgency=medium

  * BUG: #353393 【冒烟1级】【需求46615】【备份还原】还原进度始终为0，无法还原系统
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 创建类失败之后执行finish清理
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 21 May 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.1) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 增加对kylin-system-updater.db文件的处理
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Mon, 19 May 2025 10:07:39 +0800

yhkylin-systembackup-tools (1.0.0.0-0k2.0) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: #46470 提供Grub还原能力以及出场备份和还原功能
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Fri, 16 May 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.25) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 支持全盘备份到外部存储设备
  * 其他改动影响域: 无

 -- shizhong <shizhong@kylinos.cn>  Fri, 16 May 2025 21:12:50 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.24) v11-2603-preview; urgency=medium

  * BUG: 无
  * 任务号： #463505 子 【客户端策略】通道改造支持系统内服务组件自更新 / 备份还原适配更新组件自更新
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Fri, 16 May 2025 15:54:51 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.23) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 漏洞修复，增加对入参path路径名称的校验
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Fri, 16 May 2025 09:55:36 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.22) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 备份和还原速度优化
  * 其他改动影响域: 无

 -- wangjinguang <wangjinguang@kylinos.cn>  Sun, 11 May 2025 15:23:33 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.21) v11-2503; urgency=medium

  * BUG: #342084 【2503-RC5在线升级2503-RC10】系统回滚后，grub界面依旧显示的是新系统 
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 10 Apr 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.20) v11-2503; urgency=medium

  * BUG: #330683 【备份还原】备份还原大小为0
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 28 Mar 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.19) v11-2503; urgency=medium

  * BUG: #339111 【备份还原】还原系统一直卡在0%，触发编译
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 28 Mar 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.18) v11-2503; urgency=medium

  * BUG: #339748 【备份还原】还原系统一直卡在0%
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 28 Mar 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.17) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 同步QProcess的使用方式
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 26 Mar 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.16) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 麒麟版权声明
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 25 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.15) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 白盒测试
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 25 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.14) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 增加单元测试覆盖率文件
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 25 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.13) v11-2503; urgency=medium

  * BUG: #298477 【需求35721】【在线更新】点击更新包后的更新按钮后没有显示自动备份
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 还原期间使用plymount占屏，同时提供备份阶段和还原阶段的进度信息
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 25 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.12) v11-2503; urgency=medium

  * BUG: #328725 【安全基线】fortify扫描结果存在风险项，组件：yhkylin-systembackup-tools
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 20 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.11) v11-2503; urgency=medium

  * BUG: #328725 【安全基线】fortify扫描结果存在风险项，组件：yhkylin-systembackup-tools
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 14 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.10) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 本次修改为触发安全编译
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 11 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.9) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 解决获取系统哈希次序混乱的问题,并且添加update-grub
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 8 Feb 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.8) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 还原完成之后，触发rsync同步，同时修改重启方式为system调用，可以防止没执行rsync情况下丢失数据
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 8 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.7) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 同步其他接口模块都进行互斥
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 7 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.6) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 解决加锁失败之后解锁的问题
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 7 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.5) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 解决同时调起多个备份操作的问题
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 7 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.4) v11-2503; urgency=medium

  * BUG: #297131 适配不可变下用户手动备份和还原操作、以及用户数据备份和还原
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 7 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.3) v11-2503; urgency=medium

  * BUG: #297131 适配不可变下用户手动备份和还原操作、以及用户数据备份和还原
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Sun, 5 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.2) v11-2503; urgency=medium

  * BUG: #297131 适配不可变下用户手动备份和还原操作、以及用户数据备份和还原
  * 任务号： 无
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Sun, 5 Jan 2025 09:44:16 +0800

yhkylin-systembackup-tools (1.0.0.0-0k1.1) v11-2503; urgency=medium

  * BUG: 无
  * 任务号： #265647 支持不可变系统
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Wed, 4 Sep 2024 09:44:16 +0800


yhkylin-systembackup-tools (1.0.0.0-0k1.0) v101; urgency=medium

  * BUG: #256867 【国家电网2107离线升级2403update1.1】【海光】【备份还原】双系统机器回退上一个版本后仅能进入一个系统了
  * 需求: 无
  * 其他改动说明: 无
  * 其他改动影响域: 无

 -- yuchengyong <yuchengyong@kylinos.cn>  Thu, 29 Aug 2024 16:23:26 +0800
